<script>
import {toast} from "vue3-toastify";

export default {
    name: "Notification",
    created() {

    },
    data(){
        return{
            options: {
                autoClose: 2500,
                position: toast.POSITION.TOP_RIGHT,
                icon: false,
                theme: toast.THEME.COLORED
            }
        }
    },
    props: {
        css: {
            type: String,
            default: "error",
        },
        message: {
            type: String
        },
    },
    watch: {
        message: {
            handler(newMessage) {
                if (newMessage) {
                    if (this.css === "success") {
                        toast.success(newMessage, this.options);
                    } else if (this.css === "error") {
                        toast.error(newMessage, this.options);
                    } else if (this.css === "warning") {
                        toast.warning(newMessage, this.options);
                    } else if (this.css === "info") {
                        toast.info(newMessage, this.options);
                    } else {
                        toast.error(newMessage, this.options);
                    }
                }
            },
            immediate: true,
        },
    }
}
</script>

<template>

</template>

<style scoped>

</style>
